fixadd(3)

NAME
fixadd

SYNOPSIS
#include <allegro.h>

fixed fixadd(fixed x, fixed y);

DESCRIPTION
Although fixed point numbers can be added with the normal '+' integer operator, that doesn't provide any protection against overflow. If overflow is a problem, you should use this function instead. It is slower than using integer operators, but if an overflow occurs it will clamp the result, rather than just letting it wrap, and set errno.

SEE ALSO
fixsub(3), fixmul(3), fixdiv(3)